### Hierarchy

- PromiseConstructor

## Index

### Methods

- all
- race

## Methods

### all

- all<TAll>(values: Iterable<TAll | PromiseLike<TAll>>): Promise<TAll[]>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:218

  Creates a Promise that is resolved with an array of results when all of the provided Promises resolve, or rejected when any Promise is rejected.

  #### Type parameters

  - #### TAll

  #### Parameters

  - ##### values: Iterable<TAll | PromiseLike<TAll>>

    An array of Promises.

  #### Returns Promise<TAll[]>

  A new Promise.

### race

- race<T>(values: Iterable<T | PromiseLike<T>>): Promise<T>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:226

  Creates a Promise that is resolved or rejected when any of the provided Promises are resolved or rejected.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### values: Iterable<T | PromiseLike<T>>

    An array of Promises.

  #### Returns Promise<T>

  A new Promise.

Generated using TypeDoc